data:extend(
{
  {
    type = "storage-tank",
    name = "stone-waterwell",
    icon = "__StoneWaterWell__/graphics/stone-waterwell.icon.png",
	icon_size = 32,
    flags = {"placeable-player", "player-creation", "filter-directions"},
    minable = {mining_time = 5, result = "stone-waterwell"},
    max_health = 200,
    corpse = "medium-remnants",
    fluid = "water",
    resistances =
    {
      {
        type = "fire",
        percent = 90
      }
    },
    collision_box = {{-2.2, -2.2}, {2.2, 2.2}},
    selection_box = {{-2.5, -2.5}, {2.5, 2.5}},
    fluid_box =
    {
      base_area = 500,
      pipe_covers = pipecoversdirtyhack(),
      pipe_connections =
      {
        { position = {0, 3} },
      },
    },
	window_bounding_box = {{-3.0, -3.0}, {3.0, 3.0}},
    tile_width = 1,
    vehicle_impact_sound =  { filename = "__base__/sound/car-stone-impact.ogg", volume = 0.65 },
	pictures =
    {
      picture =
      {
        north =
        {
          filename = "__StoneWaterWell__/graphics/stone-waterwell.png",
          priority = "extra-high",
          shift = {0.3, 0.8},
          width = 256,
          height = 256
        },
        east =
        {
          filename = "__StoneWaterWell__/graphics/stone-waterwell.png",
          priority = "extra-high",
          shift = {0.3, 0.8},
          x = 256,
          width = 256,
          height = 256
        },
        south =
        {
          filename = "__StoneWaterWell__/graphics/stone-waterwell.png",
          priority = "extra-high",
          shift = {0.3, 0.8},
          x = 512,
          width = 256,
          height = 256
        },
        west =
        {
          filename = "__StoneWaterWell__/graphics/stone-waterwell.png",
          priority = "extra-high",
          shift = {0.3, 0.8},
          x = 768,
          width = 256,
          height = 256
        }
      },
	  fluid_background =
      {
        filename = "__StoneWaterWell__/graphics/fluid-background.png",
        priority = "extra-high",
        width = 32,
        height = 15
      },
      window_background =
      {
        filename = "__StoneWaterWell__/graphics/window-background.png",
        priority = "extra-high",
        width = 17,
        height = 24
      },
      flow_sprite =
      {
        filename = "__StoneWaterWell__/graphics/fluid-flow-low-temperature.png",
        priority = "medium",
        width = 160,
        height = 20
      }
	},
	flow_length_in_ticks = 360,
    working_sound =
    {
      sound = {
          filename = "__base__/sound/storage-tank.ogg",
          volume = 0.8
      },
      apparent_volume = 1.5,
      max_sounds_per_type = 3
    },
    circuit_wire_connection_points =
    {
      {
        shadow =
        {
          red = {2.6875, 1.3125},
          green = {2.6875, 1.3125},
        },
        wire =
        {
          red = {1.1875, -0.28125},
          green = {1.1875, -0.28125},
        }
      },
      {
        shadow =
        {
          red = {0.21875, 1.1875},
          green = {0.21875, 1.1875},
        },
        wire =
        {
          red = {-1, -0.25},
          green = {-1, -0.25},
        }
      },
      {
        shadow =
        {
          red = {2.6875, 1.3125},
          green = {2.6875, 1.3125},
        },
        wire =
        {
          red = {1.1875, -0.28125},
          green = {1.1875, -0.28125},
        }
      },
      {
        shadow =
        {
          red = {0.21875, 1.1875},
          green = {0.21875, 1.1875},
        },
        wire =
        {
          red = {-1, -0.25},
          green = {-1, -0.25},
        }
      }
    },

    circuit_wire_max_distance = 7.5
  }
})